_allocator_traits.h File Reference
`#include "../tbb_stddef.h"`
`#include <utility>`
Include dependency graph for _allocator_traits.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | tbb::internal::allocator_traits< Alloc >
struct | tbb::internal::allocator_traits< Alloc >::rebind_alloc< U >
struct | tbb::internal::allocator_rebind< Alloc, T >

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Typedefs

typedef tbb::internal::true_type | tbb::internal::traits_true_type
typedef tbb::internal::false_type | tbb::internal::traits_false_type

## Functions

template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_copy_assignment (MyAlloc &my_allocator, OtherAlloc &other_allocator, traits_true_type)
template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_copy_assignment (MyAlloc &, OtherAlloc &, traits_false_type)
template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_move_assignment (MyAlloc &my_allocator, OtherAlloc &other_allocator, traits_true_type)
template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_move_assignment (MyAlloc &, OtherAlloc &, traits_false_type)
template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_swap (MyAlloc &my_allocator, OtherAlloc &other_allocator, traits_true_type)
template<typename MyAlloc , typename OtherAlloc >
void | tbb::internal::allocator_swap (MyAlloc &, OtherAlloc &, traits_false_type)

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.